NNG_STAT_FIND_LISTENER(3)

NAME
nng_stat_find_listener - find listener statistics

SYNOPSIS

    #include <nng/nng.h>

    typedef struct nng_stat nng_stat;
    typedef struct nng_listener nng_listener;

    nng_stat *nng_stat_find_listener(nng_stat *stat, nng_listener listener);

DESCRIPTION

The nng_stat_find_listener() function returns the statistics tree within stat associated with the listener listener, if such a tree exists. Otherwise NULL is returned.

Generally, there will be child statistics of the returned value, each corresponding to a specific metric. These can be further scanned using either nng_stat_find(3) or by walking the tree with nng_stat_child(3).

RETURN VALUES

The matching statistic, or NULL if no match is found.

ERRORS

None.

SEE ALSO

libnng(3), nng_stat_child(3), nng_stat_find(3), nng_stat_find_dialer(3), nng_stat_find_socket(3), nng_stats_get(3), nng_stat(5), nng(7)